<app-header title="Mes rendez-vous" [displayUserInfos]="false">
    <ion-icon
        options
        size="large"
        routerLink="/search"
        name="add-circle-outline"
    ></ion-icon>
</app-header>
<ion-content>
    <ion-grid class="px-10 meeting">
        <!-- Tabs -->
        <ion-toolbar class="text-secondary mt-21 mb-25">
            <ion-segment
                [(ngModel)]="activeTab"
                mode="ios"
                class="meeting__list has-background-light height-40"
                data-testid="meeting-options"
            >
                <ion-segment-button
                    *ngFor="let tab of tabs; trackBy: trackTab"
                    [value]="tab.value"
                    class="meeting__tab size-14 border-solid border-1"
                    [ngClass]="{ 
                            'indicator-color-primary is-light': activeTab === tab.value,
                            'mx-16': tab.label === terminateStatus
                        }"
                >
                    {{ tab.label }}
                </ion-segment-button>
            </ion-segment>
        </ion-toolbar>
        <!-- Consultations -->
        <app-consultation
            *ngFor="let item of consultationsService.list | filterBy: 'status' : activeTab; trackBy: trackConsultation"
            [item]="item"
            class="meeting__item my-10"
        ></app-consultation>
        <!-- Content -->
        <ion-row
            *ngIf="!loader && consultationsService.list.length === 0"
            class="meeting__info ion-align-items-center"
        >
            <ion-col class="ion-no-padding ion-text-center">
                <!-- No meetings -->
                <div *ngIf="completeProfile; else incompleteProfil">
                    <!-- No meetings label -->
                    <ion-text color="medium" class="text-primary">
                        Aucun rendez-vous disponible
                    </ion-text>

                    <!-- Take a meeting button -->
                    <div class="mt-5">
                        <ion-text
                            color="primary"
                            class="ion-text-underline text-primary size-14 weight-700"
                            routerLink="/search"
                        >
                            Prendre rendez-vous
                        </ion-text>
                    </div>
                </div>

                <!-- Incomplete profil -->
                <ng-template #incompleteProfil>
                    <!-- Incomplete profil label -->
                    <ion-text color="medium">
                        Veuillez complèter votre profil avant de prendre
                        rendez-vous
                    </ion-text>

                    <!-- Complete profile button -->
                    <ion-row class="ion-justify-content-center">
                        <ion-col size="6">
                            <app-button
                                title="JE COMPLETE MON PROFIL"
                                routerLink="/profile"
                                expand="block"
                                fill="solid"
                                class="meeting__profil is-white size-14 button--radius-0"
                            ></app-button>
                        </ion-col>
                    </ion-row>
                </ng-template>
            </ion-col>
        </ion-row>
    </ion-grid>
</ion-content>
<ion-footer class="ion-no-border">
    <app-tabs name="kymia" activeTab="meetings"></app-tabs>
</ion-footer>
